Subject: bug#38452: 26.3; set-frame-position is slightly drifted

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 13 Apr 2022 04:01:03 +0200

martin rudalics <[email-masked]> writes:

>> No, if I move manually towards the dock  the frame with (z-group
>> . above) it appears under the dock (the dock is half transparent).
>
> So it looks like Emacs doesn't have much power on your system.  Would
> working with wmctrl give you more power?  You should be able to get
> the position and size of an Emacs window with the -G argument and move
> it via the -e argument, see for example
>
> https://manpages.ubuntu.com/manpages/trusty/en/man1/wmctrl.1.html

Skimming this bug report, it seems like there's nothing to be done here
on the Emacs side, because this is all a window manager issue?  Is that
accurate?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no